package gpaste

import (
	"io"
	"time"
)

type File struct {
	ID               string
	OriginalFilename string
	Body             io.ReadCloser

	MaxViews  uint
	ExpiresOn time.Time
}

type FileStore interface {
	Store(f *File) error
	Get(id string) (*File, error)
	Delete(id string) error
	List() ([]string, error)
}
